Bug 423631 - Review Request: sugar-evince - evince package for OLPC, library for embedding
Review Request: sugar-evince - evince package for OLPC, library for embedding
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2007-12-13 10:52 EST by Reinier Heeres
Modified: 2008-11-12 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 21:08:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Reinier Heeres 2007-12-13 10:52:23 EST
Spec URL: http://dev.laptop.org/~rwh/sugar-evince.spec
SRPM URL: http://dev.laptop.org/~rwh/sugar-evince-2.20.0-1.src.rpm
Description: evince is a GNOME-based document viewer. This is the version developed for OLPC. It is built as a library to support embedding.
Comment 1 Marco Pesenti Gritti 2007-12-18 07:45:54 EST
It doesn't build on x86_64. I uploaded a new spec here with that fixed.

http://dev.laptop.org/~marco/sugar-evince.spec

rpmlint output:

[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/RPMS/x86_64/sugar-evince-2.20.0-1.x86_64.rpm
sugar-evince.x86_64: W: no-documentation
sugar-evince.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libevince.so
sugar-evince.x86_64: E: library-without-ldconfig-postin
/usr/lib64/libevince.so.0.0.0
sugar-evince.x86_64: E: library-without-ldconfig-postun
/usr/lib64/libevince.so.0.0.0
sugar-evince.x86_64: E: description-line-too-long evince is a GNOME-based
document viewer. This is the version developed for OLPC.
sugar-evince.x86_64: W: invalid-license GPL
[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/SRPMS/sugar-evince-2.20.0-1.src.rpm
sugar-evince.src: W: mixed-use-of-spaces-and-tabs (spaces: line 33, tab: line 5)
sugar-evince.src: E: description-line-too-long evince is a GNOME-based document
viewer. This is the version developed for OLPC.
sugar-evince.src: W: invalid-license GPL
[marco@localhost SPECS]$ scp sugar-evince.spec dev.laptop.org:~/marco/public_html
[marco@localhost SPECS]$ scp sugar-evince.spec dev.laptop.org:~/public_html
sugar-evince.spec                                                              
                                                                  100% 2251    
2.2KB/s   00:00    
[marco@localhost SPECS]$ rpmlint /home/marco/rpmbuild/SRPMS/sugar-
sugar-0.70.4-1.src.rpm           sugar-datastore-0.2.3-1.src.rpm 
sugar-evince-2.20.0-1.src.rpm    
[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/RPMS/x86_64/sugar-evince-python-2.20.0-1.x86_64.rpm
sugar-evince-python.x86_64: W: no-documentation
sugar-evince-python.x86_64: W: invalid-license GPL
[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/RPMS/x86_64/sugar-evince-debuginfo-2.20.0-1.x86_64.rpm
sugar-evince-debuginfo.x86_64: W: invalid-license GPL
Comment 2 Reinier Heeres 2007-12-18 08:49:08 EST
Updated spec file at link, remaining rpmlint output:

[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/RPMS/x86_64/sugar-evince-2.20.0-1.x86_64.rpm
sugar-evince.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libevince.so
sugar-evince.x86_64: W: invalid-license GFDL+
sugar-evince.x86_64: W: one-line-command-in-%post /sbin/ldconfig
sugar-evince.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/SRPMS/sugar-evince-2.20.0-1.src.rpm
sugar-evince.src: W: invalid-license GFDL+
[marco@localhost SPECS]$ rpmlint
/home/marco/rpmbuild/RPMS/x86_64/sugar-evince-python-2.20.0-1.x86_64.rpm
sugar-evince-python.x86_64: W: no-documentation
sugar-evince-python.x86_64: W: invalid-license GFDL+
Comment 3 Dennis Gilmore 2007-12-18 13:47:58 EST
taking a quick look mostly ok.

You need to bump release during review and include in the changelog what you 
fix

the URL  should point to a page that has information on the wiki.  and Source  
must be a url pointing to where source can be accessed for verification.

at Marco's request ill take the review over
Comment 4 Reinier Heeres 2007-12-19 14:45:06 EST
Updated spec and SRPM according to comments. To be found at:
Spec URL: http://dev.laptop.org/~rwh/sugar-evince.spec
SRPM URL: http://dev.laptop.org/~rwh/sugar-evince-2.20.0-2.src.rpm
Comment 5 Dennis Gilmore 2007-12-20 23:36:24 EST
looks good now. 

sha1sum matches upstream 
e8c8f1a1f181bd7de52baee257270adfa114c5fc  evince-2.20.0.tar.bz2
e8c8f1a1f181bd7de52baee257270adfa114c5fc  fedora/SOURCES/evince-2.20.0.tar.bz2

Approved 
Comment 6 Marco Pesenti Gritti 2007-12-21 07:40:35 EST
New Package CVS Request
=======================
Package Name: sugar-evince
Short Description: OLPC version of the evince document viewer
Owners: reinier@heeres.eu, mpg@redhat.com
Branches: OLPC-2
InitialCC: reinier@heeres.eu, mpg@redhat.com
Cvsextras Commits: no
Comment 7 Dennis Gilmore 2007-12-21 08:21:22 EST
cvs done
Comment 8 Michel Alexandre Salim 2008-01-13 21:08:49 EST
Closing bug
Comment 9 Tomeu Vizoso 2008-11-12 06:32:55 EST
Package Change Request
======================
Package Name: sugar-evince
New Branches: OLPC-4
Owners: dsd mpg erikos tomeu
Comment 10 Kevin Fenzi 2008-11-12 11:51:12 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.